Name:           sezpoz
Version:        1.10
Release:        %mkrel 1
Summary:        Lightweight Java library that lets you perform modular service lookups

Group:          Development/Java
License:        CDDL
URL:            https://github.com/jglick/sezpoz
Source0:        https://github.com/jglick/%{name}/archive/pom-%{version}.tar.gz
Source1:        https://netbeans.org/cddl.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:      noarch

%description
SezPoz is a lightweight and easy-to-learn library that lets you
perform modular service lookups. It provides some of the same
capabilities as (for example) java.util.ServiceLoader, but SezPoz
has some special advantages. The service registrations are made
just using type-checked Java annotations. There are no configuration
files to edit.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-pom-%{version}

cp %{SOURCE1} LICENSE

# We don't need demos (4 jars)
%pom_disable_module demo

%pom_remove_plugin :animal-sniffer-maven-plugin sezpoz
%pom_remove_dep :animal-sniffer-annotations sezpoz
sed -i '/IgnoreJRERequirement/d' sezpoz/src/main/java/net/java/sezpoz/impl/Indexer6.java

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.10-1.mga6
+ Revision: 981415
- First rebuild of the java stack
- sync package sezpoz with fedora (update to 1.10)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-6.mga5
+ Revision: 743799
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Sun May 11 2014 dmorgan <dmorgan> 1.9-3.mga5
+ Revision: 622000
- imported package sezpoz


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to latest version 1.9
- Install license file

* Thu May 02 2013 Michal Srb <msrb@redhat.com> - 1.5-1
- Initial package

